# set\_proxy\_minter

An entrypoint that setups a new **ProxyMinter** contract for minting QUIPU reward tokens for those who staked their tokens in farmings (see [ProxyMinter](/smart-contracts/farming/proxyminter-contract.md)).

### Call parameters

| Field         | Type    | Description                                  |
| ------------- | ------- | -------------------------------------------- |
| proxy\_minter | address | An address of a new **ProxyMinter** contract |

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const qFarmAddress = "KT1...";
const proxyMinter = "KT1...";
const qFarm = await tezos.contract.at(qFarmAddress);
const operation = await qFarm.methods.set_proxy_minter(proxyMinter).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `Not-admin` - `sender` of the transaction is not current administrator.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/farming/qfarm-contract/entrypoints-overview/admin-entrypoints/set_proxy_minter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
